Bug 866550 - Tab key has to be pressed several times to move to next text field
Tab key has to be pressed several times to move to next text field
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:35 EDT by Jan Stodola
Modified: 2013-03-12 10:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 15:01:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add_new_mount_point.png (29.39 KB, image/png)
2012-10-16 05:11 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2012-10-15 11:35:09 EDT
Description of problem:
When user is on "ADD A NEW MOUNT POINT" dialog trying to skip from "Mount point" to "Desired Capacity" field using <Tab> key, the key has to be pressed 1, 2 or three times to move to next field. Let's say that new mount point is "/home" for all following cases:

A) One <Tab> key press is needed. This happens when whole "/home<Tab>" sequence is entered fast enough. This is expected behaviour.

B) <Tab> has to be pressed two times - enter "/home" and wait some time to show hint bellow the field. Now you have to enter <Tab> two times to move to "Desired Capacity" field. The first <Tab> only hides the hint.

C) <Tab> has to be pressed three times - enter "/" and wait some time to show hint with mount points (/, /boot, /home, ...) bellow the field. Then enter "home<Tab>" fast enough. You can see that one hint ("/home") is shown bellow the field. Now you have to hit <Tab> two more times to get to "Desired Capacity" field.

Version-Release number of selected component (if applicable):
anaconda 18.16

How reproducible:
always
 
Actual results:
<Tab> key has to be pressed 1, 2 or three times to get from "Mount point" to "Desired Capacity" field.

Expected results:
One press of <Tab> key move cursor to "Desired Capacity" field no matter how fast user types.

Additional info:
Tested via vnc.
Comment 1 Chris Lumens 2012-10-15 15:40:57 EDT
But isn't this just how things behave when there's a GtkComboBoxEntry involved?  It makes sense to me that tab moves you down into the options.  That's the next widget in the focus list.
Comment 2 Jan Stodola 2012-10-16 05:11:31 EDT
Created attachment 628053 [details]
add_new_mount_point.png

I will try to describe what happens in my brain when I see the dialog (screenshot attached):

1. hmm, two items to fill in, easy. So I will:
2. enter pount point (/home)
3. hit <Tab> to skip to next field
4. enter size (2000)
5. hit Enter (or <Alt>+A) to finish the dialog

If this doesn't work, I'm disappointed.

If I wanted to select any item from GtkComboBoxEntry bellow the mount point field, I could use keys up/down to go through the items - it works fine.

I'm not sure what is supposed to happen when GtkComboBoxEntry shows one or more items and <Tab> key is pressed, but at this moment (anaconda 18.16) it only hides the list of offered choices.
Comment 3 Chris Lumens 2012-10-23 15:01:37 EDT
Sorry, but I don't see any way to both allow what you want to do as well as keep the ComboBoxEntry there as well.  And, we need the ComboBoxEntry there to demonstrate that there are other non-filesystem things you can enter there as well.

Note You need to log in before you can comment on or make changes to this bug.